<?php
loadcontroller('base/module');

class ControllerModulefuturaquantidadeatacado extends ControllerBaseModule
{

    protected $referencePathFile = 'module/futuraquantidadeatacado';

    protected function loadData()
    {
        parent::loadData();

        $this->dataVue['typeProductBoxButton'] = Type_ProductBoxButton::getEnumList();
    }

    protected function validate()
    {
        extract($this->request->post);

        return $this->validate->execute([
            'futuraquantidadeatacado_status' => [
                'value' => $futuraquantidadeatacado_status,
                'validates' => [
                    'isEmpty',
                ],
            ]
        ]);
    }

}
